---
apiVersion: cloudcredential.openshift.io/v1
kind: CredentialsRequest
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
  creationTimestamp: "2022-03-08T10:48:24Z"
  generation: 1
  managedFields:
  - apiVersion: cloudcredential.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
      f:spec:
        .: {}
        f:providerSpec:
          .: {}
          f:apiVersion: {}
          f:kind: {}
          f:statementEntries: {}
        f:secretRef:
          .: {}
          f:name: {}
          f:namespace: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:48:24Z"
  name: cloud-credential-operator-iam-ro
  namespace: openshift-cloud-credential-operator
  resourceVersion: "21708"
  selfLink: /apis/cloudcredential.openshift.io/v1/namespaces/openshift-cloud-credential-operator/credentialsrequests/cloud-credential-operator-iam-ro
  uid: 4df3a762-2a19-4ef8-b4c3-a78ecd913352
spec:
  providerSpec:
    apiVersion: cloudcredential.openshift.io/v1
    kind: AWSProviderSpec
    statementEntries:
    - action:
      - iam:GetUser
      - iam:GetUserPolicy
      - iam:ListAccessKeys
      effect: Allow
      resource: '*'
  secretRef:
    name: cloud-credential-operator-iam-ro-creds
    namespace: openshift-cloud-credential-operator
